{{!
    This file is part of Moodle - http://moodle.org/

    Moodle is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    Moodle is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with Moodle.  If not, see <http://www.gnu.org/licenses/>.
}}
{{!
    @template theme_alpha/columns1

    alpha 1 column layout template.

    Context variables required for this template:
    * sitename - The name of the site
    * output - The core renderer for the page
    * bodyattributes - attributes for the body tag as a string of html attributes

    Example context (json):
    {
        "sitename": "Moodle",
        "output": {
            "doctype": "<!DOCTYPE html>",
            "page_title": "Test page",
            "favicon": "favicon.ico",
            "main_content": "<h1>Headings make html validators happier</h1>"
         },
         "bodyattributes":""
    }
}}
{{> theme_alpha/head }}

<body {{{ bodyattributes }}}>
{{> core/local/toast/wrapper}}
<div id="page-wrapper" name="top">

    {{{ output.standard_top_of_body_html }}}

    <div id="page" class="container-fluid {{#additionaltopbarnav}}page-p2{{/additionaltopbarnav}}">

        <div id="page-content" class="row no-gutters page-main-content">
            <div id="region-main-box">
                <section id="region-main">
                    {{{ output.course_content_header }}}
                    {{{ output.main_content }}}
                    {{{ output.activity_navigation }}}
                    {{{ output.course_content_footer }}}
                </section>
            </div>
        </div>
    </div>
      {{{ output.standard_after_main_region_html }}}
</div>
{{{ output.standard_end_of_body_html }}}
{{> theme_alpha/footer-scripts }}
</body>
</html>

{{#js}}
M.util.js_pending('theme_alpha/loader');
require(['theme_alpha/loader'], function() {
  M.util.js_complete('theme_alpha/loader');
});
{{/js}}
